package edu.wisc.cs.games10.chrononaut;

import processing.core.*;


public class BodyPart {
	PImage image;
	int numImages;
	String name;
	
	public BodyPart(String n, PImage i) {
		name = n;
		image = i;
	}
	
	public String getName() {
		return name;
	}
	
	public PImage getImage() {
		return image;
	}
	
	public boolean equals(Object o) {
		return (o instanceof BodyPart) && ((BodyPart) o).name.equals(name);
	}
	
	public int hashCode() {
		return name.hashCode();
	}
}
